# Python imports
from StringIO import StringIO

#CMF Imports
from Products.CMFCore.utils import getToolByName

# Archetypes imports
from Products.Archetypes import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin

# Products imports
from Products.MyInheritedMessage.config import PROJECTNAME

def install(self):
     """Install content types, enable the portal factory"""

     out = StringIO()

     print >> out, "Installing %s" % PROJECTNAME

     # Install types
     classes = listTypes(PROJECTNAME)
     installTypes(self, out,
                  classes,
                  PROJECTNAME)
     print >> out, "Installed types"

     # Register types with portal_factory
     # (only needed to work around the possibility that users create
     # blank instances of content types)
     factory = getToolByName(self, 'portal_factory')
     types = factory.getFactoryTypes().keys()
     if PROJECTNAME not in types:
         types.append(PROJECTNAME)
         factory.manage_setPortalFactoryTypes(listOfTypeIds = types)

     print >> out, "Added %s to portal_factory" % PROJECTNAME

     # return log-string
     return out.getvalue()
