# Archetypes imports
from Products.Archetypes.atapi import *

# Product imports
from Products.MyMessage.config import PROJECTNAME

# Schema definition
schema = BaseSchema.copy() + Schema((
    
    IntegerField('alpha',
                required = 1,
                widget=StringWidget(macro='my_string_widget',),
              ),
    
    IntegerField('bravo',
                required = 1,
                widget=StringWidget(macro='my_string_widget',),
              ),
    
    IntegerField('charlie',
                required = 1,
              ),
    ))

class MyMessage(BaseContent):
    """An Archetype for MyMessage application"""

    schema = schema
    _at_rename_after_creation = True


    def my_sum(self):
        return self.alpha + self.bravo + self.charlie


registerType(MyMessage, PROJECTNAME)
